@subheading gsasl_init
@anchor{gsasl_init}
@deftypefun {int} {gsasl_init} (Gsasl ** @var{ctx})
@var{ctx}: pointer to libgsasl handle.

This functions initializes libgsasl.  The handle pointed to by ctx
is valid for use with other libgsasl functions iff this function is
successful.  It also register all builtin SASL mechanisms, using
@code{gsasl_register()}.

@strong{Return value:} GSASL_OK iff successful, otherwise
@code{GSASL_MALLOC_ERROR}.
@end deftypefun

